/*
 * Horse.java
 *
 * Created on 25 �ԧ�Ҥ� 2549, 6:10 �.
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package horserace;

/**
 *
 * @author Administrator
 */
public interface Horse extends Runnable {
	
	public static final int RUN_STATE = 1;
	public static final int PAUSE_STATE = 2;
	public static final int DONE_STATE = 3;
	public static final int RESET_STATE = 4;
	
    public String getName();
    public int getPosition();
    public int getSpeed();
    public void reset();
    public void togglePlayPause();
    public boolean isDone();
    public boolean isPause();
    public void setStateChangeListener(HorseStateListener listener);
    public void removeStateChangeListener();
    
}
