/*
 * HorsePanel.java
 *
 * Created on 13 �ԧ�Ҥ� 2549, 20:05 �.
 */

package horserace;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BorderFactory;
import javax.swing.JButton;

public class HorsePanel extends javax.swing.JPanel {

    private HorseStateListener listener;

    public HorsePanel(String name) {
    	this(name,200,5,null);    	
    }
    
    public HorsePanel(String name,HorseStateListener listener) {    	
    	this(name,200,5,listener);
    }

    public HorsePanel(String name,int speed,int skillLevel,HorseStateListener listener) {
    	
    	this.name = name;
    	this.listener = listener;
    	this.skill = skill;
    	this.speed = speed;
        initComponents();
    }

    public horserace.HorseProgress getHorseProgress() {
        return horseProgress;
    }


    private void initComponents() {
        horseProgress = new HorseProgress(name,listener);
        startButton = new JButton();
        resetButton = new JButton();
        togglePlayPauseButton = new JButton();
        
    	this.horseProgress.setSpeed(speed);
    	this.horseProgress.setJockeySkill(skill);

        setBorder(BorderFactory.createTitledBorder(horseProgress.getName() +" : Speed "+horseProgress.getSpeed()));
        horseProgress.setMaximum(1000);

        startButton.setText("start");
        startButton.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent evt) {
                startButtonActionPerformed(evt);
            }
        });

        resetButton.setText("reset");
        resetButton.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent evt) {
                resetButtonActionPerformed(evt);
            }
        });

        togglePlayPauseButton.setText("play/pause");
        togglePlayPauseButton.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent evt) {
                togglePlayPauseButtonActionPerformed(evt);
            }
        });

        // เขียนต่อเองเน้อ ...
        
    }

	private void togglePlayPauseButtonActionPerformed(ActionEvent evt) {
        // เขียนต่อเองเน้อ ...
    }

    private void resetButtonActionPerformed(ActionEvent evt) {
        // เขียนต่อเองเน้อ ...
    }

    private void startButtonActionPerformed(ActionEvent evt) {
        // เขียนต่อเองเน้อ ...
    }



    private HorseProgress horseProgress;
    private JButton resetButton;
    private JButton startButton;
    private JButton togglePlayPauseButton;
    private int speed;
    private int skill;
    private String name;
}
